import type {
    ProjectConfig,
    HeaderSetting,
    MenuSetting,
    TransitionSetting,
    MultiTabsSetting,
  } from '#/config';
  import type { BeforeMiniState, ApiAddress } from '#/store';
  
  import { defineStore } from 'pinia';
  import { store } from '@/store';

  import { resetRouter } from '@/router';
  import { deepMerge } from '@/utils';
  
  interface FormFile {
    url:String
  }

  export const userFormFileStore = defineStore({
    id: 'formfileurl',
    state: (): FormFile => ({
      url:""
    }),
    getters: {
      getUrl(state): boolean {
        return state.url;
      },
    },
    actions: {
      setUrl(url:string): void {
        this.url = url;
      },
    },
    mutations:{
      setUrl(url:string): void {
        this.url = url;
      },
    }
  });
  
  // Need to be used outside the setup
  export function useAppStoreWithOut() {
    return userFormFileStore(store);
  }
  